Update a course title or description.
Requires admin role.
cURL
curl --request PATCH \ --url https://api.example.com/api/v1/learn/courses/{course_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "title": "<string>", "description": "<string>" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "<string>", "description": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "imagePath": "course-images/default.webp", "enrollmentCount": 0 }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Admin course update request - only title and description.
Successful Response
Course with enriched data for API responses (includes enrollment_count).
Was this page helpful?